#import <Flutter/Flutter.h>
#import <Pusher/Pusher.h>
#import "UserAgent.h"

@class MessageStreamHandler;
@class PusherConnectionStateStream;
@class PusherErrorStream;

@interface FlutterPusherPlugin : NSObject<FlutterPlugin, PTPusherDelegate>
@property PTPusher *pusher;
@property MessageStreamHandler *messageStreamHandler;
@property PusherConnectionStateStream *connectivityStreamHandler;
@property PusherErrorStream *errorStreamHandler;
@end

@interface MessageStreamHandler : NSObject<FlutterStreamHandler>
- (void)send:(PTPusherEvent *)event;
@end

@interface PusherConnectionStateStream : NSObject <FlutterStreamHandler>
- (void)sendState:(NSString*)state;
@end

@interface PusherErrorStream : NSObject<FlutterStreamHandler>
- (void)sendError:(NSError *)error;
- (void)sendCode:(NSInteger)code message:(NSString *)message;
@end
